Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IEditorLauncher

    public interface IEditorLauncher

An editor launcher is used to launch external editors on a file in the local file system.

Clients should implement this interface to define a new type of editor launcher. Each new launcher must be registered as an editor in the workbench's editor extension point (named `"org.eclipse.ui.editors"`). For example, the plug-in's XML markup might contain:

     <extension point = "org.eclipse.ui.editors">
       <editor
           id="org.eclipse.ui.SwingEditorLauncher"
           name="Swing Editor"
           extensions="xml"
           launcher="org.eclipse.ui.examples.swingeditor.SwingEditorLauncher"
           icon="icons/xml.gif">
       </editor>
     </extension>

In this example a launcher has been registered for use with `xml` files. Once registered, the launcher will appear in the `Open With` menu for an `xml` file. If the item is invoked the workbench will create an instance of the launcher class and call `open` on it, passing the input file.

Method Summary
`void` `open(IPath file)` Launches this external editor to edit the file at the given location in the local file system.

Method Detail

### open

    void open(IPath file)

  Launches this external editor to edit the file at the given location in the local file system.

  Parameters:
    `file` - the local file system path of the file to edit

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.